package cn.iocoder.yudao.module.system.api.remote;

import cn.iocoder.yudao.module.system.api.remote.dto.RemoteRobotMaxSpeedDTO;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 远遥车辆相关速度")
public interface RemoteRobotMaxSpeedApi {

    String PREFIX = ApiConstants.PREFIX + "/remote";

    @PostMapping(PREFIX + "/getRobotMaxSpeedPage")
    @Operation(summary = "获取远遥车辆速度")
    List<RemoteRobotMaxSpeedDTO> getRobotMaxSpeedPage();

    @PostMapping(PREFIX + "/updateRobotMaxSpeed")
    @Operation(summary = "更新远遥车辆速度")
    void updateRobotMaxSpeedPage(@RequestBody List<RemoteRobotMaxSpeedDTO> list);
}
