package cn.iocoder.yudao.module.system.controller.admin.log.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

@Schema(description = "管理后台 - 机器人动作记录新增/修改 Request VO")
@Data
@Builder
public class RobotOperationLogSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "31491")
    private Long id;

    @Schema(description = "任务id", example = "17244")
    private Long orderId;

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "任务类型", example = "1")
    private String orderType;

    @Schema(description = "作业类型", example = "1")
    private String commandType;

    @Schema(description = "动作")
    private String workProgress;

    @Schema(description = "状态(0:未开始、1:正在进行、2:暂停中、3:已取消、4:已失败、5:已完成)")
    private String executionState;

}