package cn.iocoder.yudao.module.system.controller.admin.positionmap.vo;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 区域变更点绑定新增/修改 Request VO")
@Data
public class PositionChangePointBindingSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "17369")
    private Long id;

    @Schema(description = "点位1的id", example = "4491")
    private Long startingPointId;

    @Schema(description = "点位2的id", example = "24948")
    private Long endPointId;

    @Schema(description = "点位1自增排序")
    private Long startingPointSortNum;

    @Schema(description = "点位2自增排序")
    private Long endPointSortNum;

    @Schema(description = "startingPointId的地图id")
    private Long positionMapId;

}