package cn.iocoder.yudao.module.system.controller.admin.remote.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 远遥车辆最大速度 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RobotMaxSpeedRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "22620")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "仓库点位地图表id", example = "30963")
    @ExcelProperty("仓库点位地图表id")
    private Long positionMapId;

    @Schema(description = "远遥最大速度")
    @ExcelProperty("远遥最大速度")
    private String maxSpeed;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}