package cn.iocoder.yudao.module.system.controller.admin.statistics.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 车辆工作时长统计新增/修改 Request VO")
@Data
public class RobotWorkingHoursStatisticsSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7218")
    private Long id;

    @Schema(description = "仓库点位地图表id", example = "28478")
    private Long positionMapId;

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "时长,单位分钟", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "时长,单位分钟不能为空")
    private Long duration;

    @Schema(description = "类型(0:空闲时长, 1:任务时长, 2:充电时长)", example = "1")
    private Integer durationType;

}