package cn.iocoder.yudao.module.system.dal.dataobject.houselane;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.List;

/**
 * 线库/巷道 DO
 *
 * @author 陈宾顺
 */
@TableName("ware_house_lane")
@KeySequence("ware_house_lane_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WareHouseLaneDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 地图id
     */
    private Long positionMapId;
    /**
     * 线库名称
     */
    private String laneName;
    /**
     * 线库说明(可以拓展为区域说明)
     */
    private String laneMsg;

    /**
     * 物料信息
     */
    private String skuInfo;

    /**
     * 节点ids
     */
    @TableField(exist = false)
    private List<Long> mapItemIds;

}
