package cn.iocoder.yudao.module.system.service.wait;

import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.wait.vo.*;
import cn.iocoder.yudao.module.system.dal.dataobject.wait.MoveToWaitDO;

/**
 * 车辆前往等待点记录 Service 接口
 *
 * @author 陈宾顺
 */
public interface MoveToWaitService {

    /**
     * 创建车辆前往等待点记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createMoveToWait(@Valid MoveToWaitSaveReqVO createReqVO);

    /**
     * 更新车辆前往等待点记录
     *
     * @param updateReqVO 更新信息
     */
    void updateMoveToWait(@Valid MoveToWaitSaveReqVO updateReqVO);

    /**
     * 删除车辆前往等待点记录
     *
     * @param id 编号
     */
    void deleteMoveToWait(Long id);

    /**
     * 获得车辆前往等待点记录
     *
     * @param id 编号
     * @return 车辆前往等待点记录
     */
    MoveToWaitDO getMoveToWait(Long id);

    /**
     * 获得车辆前往等待点记录分页
     *
     * @param pageReqVO 分页查询
     * @return 车辆前往等待点记录分页
     */
    PageResult<MoveToWaitDO> getMoveToWaitPage(MoveToWaitPageReqVO pageReqVO);



}